Copyright: Actuate Software Corporation


  Glossary

The glossary provides definitions of terms used in the Actuate Developer Workbench.

abstract base class
abstract data type
active request
ActiveX
Actuate Administrator Desktop
Actuate Basic
Actuate Basic data type
Actuate Developer Workbench
Actuate End User Desktop
Actuate Foundation Class (AFC)
Actuate Foundation Class Library
Actuate Live Report Extension (LRX)
Actuate Palette Representation (.APR) file
Actuate Report Server
Actuate ReportCast technology
Actuate Scripting Language
Actuate Software Development Kit (SDK)
Actuate Viewer
Actuate Web Agent
ad hoc parameter
Administration process
administrator
Administrator Desktop
AFC (Actuate Foundation Class)
After
aggregate row
alias
ancestor class
ANSI (American National Standards Institute) character set
Any
AnyClass
applet
application
API (Application Programming Interface)
argument
array
ASCII (American Standard Code for Information Inter-change) character set
asterisk (*)
ascendant class
assignment statement
Basic source (.BAS) file
base class
batch request
Before
binary number
bit
bit mask
bitmap
bitwise operation
Boolean expression
breakpoint
browser
BSTR
Builder
Builder button
button
calculated column
calculated control
caption
cascading events
case sensitivity
cell
channel
channel page
channel subscription page
check box
class
class declaration
class hierarchy
class name
Class page
client/server
Clipboard
Color Chooser
column
Columns page
combo box
command
comment
Common Gateway Interface (CGI)
compile
component
Component Editor
component library
component reference property
computed column
concrete base class
conditional expression
conditional section
Conditions page
connection
Connection property
consistent report design
constant
constructor code
containment
containment hierarchy
Content
context menu
control
control properties
copy
crosstab report
cue card
Currency data type
customize
cut
data
data abstraction
data adapter
data control
data filter
data frame
data row
data source
data stream
data type
database connection
database management system (DBMS)
Date data type
DBMS (database management system)
debug
declaration
declarations section
default
delete privilege
demand paging
dependency
derived class
descendant class
design
Design Editor
detail frame
Developer Workbench
directive
DLL (dynamic-link library)
domain name
dot notation
Double data type
drag-and-drop
drawing control
dynamic-link library (DLL)
dynamic hyperlink
ellipse control
embed
empty
encapsulation
Encyclopedia
End User Desktop
enterprise
enterprise reporting
escape character(\)
event
event handler
executable file
execute privilege
expiration
expression
Expression Builder
Factory
Factory process
fetch
field
Field List
file dependency
file types
filter
flow
font
footer
format
format toolbar
forms-capable browser
frame
framework
function
generate code
global name space
global variable
Globals Browser
grandchild class
grandparent class
grant privilege
graph
grid
group
group owner
group section
Group By page
grouped report
Having page
header
help
hexadecimal number
hierarchy
horizontal scroll bar
HTML
HTTP
hyperlink
HyperText Markup Language (HTML)
HyperText Markup Language Page
HyperText Transfer Protocol (HTTP)
icon
identifier
image
image control
implicit declaration
imported object
inheritance
inner join
input area
input object
input source
instance
instance variable
instantiation
Integer data type
Internet
Internet Explorer
IP address
Java
join
keyword
label control
layout
layout pane
level-break listing
level-break section
library
Library Browser
line control
link
list box
listing report
Live Report Extension (LRX)
logic error
Long data type
LRX
mailing label report
matrix
MDI (multiple document interface)
member
menu bar
method
Method Editor
Methods page
Microsoft Internet Explorer
modal window
modeless window
module
multicolumn report
multiple document interface (MDI)
multiple inheritance
name space
Navigator
nested report
Netscape Navigator
notification
notification group
null
numeric expression
object
object database management system (ODBMS)
object reference variable
object-oriented programming
octal number
ODBC (open database connectivity)
ODBMS (object database management system)
OLE (object linking and embedding)
OLE automation
online help
operator
operations process
Order By page
outer join
output object
override
page
PageFooter
PageHeader
Page List
palette
parallel section
parameter
parent class
password
paste
pattern matching
persistent object
Persistent Object process
Persistent Object Storage Manager (POSM)
personal channel
personal folder
plug-in
polymorphism
pop-up menu
preference
Print process
printer attributes
printer options
privilege
procedure
program
Project Browser
Properties page
property
property list
publish
publish and subscribe
push
query
Query by Example (QBE)
query data stream
Query Editor
query parameter
read privilege
rectangle control
recursion
report
report, nested
Report Encyclopedia
Report Object
report object design
report object design (.ROD) file
report object executable
report object executable (.ROX) file
report object instance
report object instance (.ROI) file
report object library
report object library (.ROL) file
report object value (.ROV) file
report object web (.ROW) file
ReportQuery
ReportQuery extension
report section
Report Server
Report Server API
ReportCast
request
Request process
Requester
Requester API
Requests folder
reserved word
result set
role
role owner
row
run
scheduled request
scope
scope-resolution operator (::)
Scratch Pad
scripting language
SDK (Software Development Kit)
search
search criteria
search definition (.ROS) file
search expression
search extension
Search Extension API
section
select
SELECT
semantic type
sequential section
server application
server processes
Single data type
single inheritance
slot
sort
sort filter
sort key
SQL page
SQL SELECT statement
statement
static control
static frame
static variable
stored procedure
Stored Procedure Data Source Builder
Stored Procedure Browser
String data type
string expression
structural component
structural relationship
structure pane
subclass
subpage
subreport
subroutine
subscribe
Super
superclass
symbol
syntax
tab
table
Table of Contents
Tables and Joins page
Tag
template
text control
tick
toolbar
transient object
Transporter technology
twip
type
type declaration character
Uniform Resource Locator (URL)
unique ID
universal hyperlink
unsubscribe
URL
url request
user name
user-defined type
value
variable
Variables page
Variant data type
vertical scroll bar
view
Viewer
virtual class
Virtual Report Distribution
visible privilege
Visual Basic
visual component
visual programming
volume
Web
Web Agent
Web Agent directive
Web Agent template file
web browser
webcast
web page
web server
wildcard
World Wide Web (WWW or W3)
write privilege
WWW


abstract base class

A class created to organize a class hierarchy or define methods and variables that will apply to derived classes. An abstract base class is one for which instances cannot be created.

Related terms

base class

class

class hierarchy

concrete base class

method

variable


abstract data type

See user-defined type.


active request

A request currently eligible for execution on a server. An active request begins to run when a Factory process becomes available.

Related terms

Factory process

server application


ActiveX

See Actuate Software Development Kit (SDK).


Actuate Administrator Desktop

An application used to manage user accounts, security, and report servers.

Related term

Actuate Report Server


Actuate Basic

A programming language that is syntax-compatible with Microsoft Visual Basic 3.0. Actuate Basic consists of standard Basic functions and statements, plus object-oriented language extensions. Report developers can write Actuate Basic code to go beyond what can be accomplished with the Actuate Developer Workbench interface.

Related terms

Actuate Foundation Class Library

class

function

object-oriented programming

statement


Actuate Basic data type

See data type.


Actuate Developer Workbench

An application used to build report designs and reusable components.

Related terms

component

report


Actuate End User Desktop

An application used to access on-demand reports, to schedule running of reports, to run, print and view reports.

Related term

report


Actuate Foundation Class (AFC)

A class supplied with Actuate software. The classes are the building blocks of report designs. Representative Actuate Foundation Classes include those that define data sources, dates, frames, graphs, images, numbers, pages, and sections. Users can derive classes from the Actuate Foundation Classes.

Related terms

base class

class

component


Actuate Foundation Class Library

A library that contains the Actuate Foundation Classes. The AFC.ROL file contains the Actuate Foundation Class Library.

Related terms

Actuate Foundation Class (AFC)

class

component library


Actuate Live Report Extension (LRX)

An application used to find, view, and print reports accessed over the Internet. The Actuate LRX runs in Internet browsers such as Netscape and Microsoft Internet Explorer. The LRX is different from the standard Actuate Viewer in that it does not contain the Navigator.

Related terms

Actuate Viewer

Internet

Navigator


Actuate Palette Representation (.APR) file

A file that contains class association information for the main and component palettes. The class association tells you what button image is linked to a specific class.

Related terms

Actuate Basic

Basic source (.BAS) file

palette

report

report object design (.ROD) file

report object executable (.ROX) file

report object instance (.ROI) file

report object library (.ROL) file

report object value (.ROV) file

report object web (.ROW) file


Actuate Report Server

A set of cooperating processes that manage information and service client requests. For example, an Actuate Report Server provides scheduling, printing, notification, and report generation services to its clients.

Related terms

Actuate Administrator Desktop

Actuate Software Development Kit (SDK)

server application

server processes


Actuate ReportCast technology

Application technology that delivers content-rich live report documents to web browsers.

Related terms

channel

report

web browser


Actuate Scripting Language

1	A programming language that enables automation of simple commonly performed tasks.

2	A language that automates the generation of HyperText Markup Language pages. Actuate Scripting Language commands determine how information will be displayed on an Actuate Report viewed in a web browser.

Related terms

Actuate Web Agent

command

HyperText Markup Language (HTML)

report

web browser


Actuate Software Development Kit (SDK)

Development tools that include:

1	Actuate ActiveX Controls embed Actuate reporting functionality into custom applications.

2	Actuate Requester API accesses attributes and values of report parameters, changes the values of report parameters, controls how and when a report is generated, displays and prints reports, and configures report print setup. Access the Requester API using Actuate Basic, Visual Basic, C, or C++.

3	Actuate Search Extension API supports developing search extensions to transfer data to any third party productivity or analysis tool.

4	Actuate Report Server API implements common Report Encyclopedia tasks, integrates Report Server features into existing corporate applications, automates routine or time-consuming tasks, and implements new feature groupings for custom business processes. Access the Report Server API using C++.

Related terms

API (Application Programming Interface)

application

parameter

Report Encyclopedia


Actuate Viewer

An application used to find, view, and print reports.

Related term

report


Actuate Web Agent

A web server extension that enables users of the World Wide Web to locate and access reports in a Report Encyclopedia on an Actuate Report Server. The Web Agent generates HTML pages based on templates. The Web Agent supports ReportCast technology that pushes reports to particular users.

Related terms

Actuate Report Server

Actuate ReportCast technology

HyperText Markup Language (HTML)

push

Report Encyclopedia

web server

World Wide Web (WWW or W3)


ad hoc parameter

A parameter, associated with a database column, that passes an expression that dynamically extends a query's Where clause. An ad hoc parameter is an optional value that restricts the number of rows returned from the database to the report.

Related terms

parameter

query

report


Administration process

A Report Server process that validates users and user requests.

Related terms

Actuate Report Server

password

user name


administrator

A user who manages a Report Encylopedia and its Report Servers. The administrator has grant privileges on all Encyclopedia items and can modify Report Server properties.

Related terms

grant privilege

Report Encyclopedia

role

role owner

server application


Administrator Desktop

See Actuate Administrator Desktop.


AFC (Actuate Foundation Class)

See Actuate Foundation Class (AFC).


After

A component reference property that identifies a component to be printed or displayed at the end of a section. After is a slot in the Design Editor. For example, After can contain the sum of all orders from one customer.

Related terms

component

component reference property

report

section

slot

Contrast with

Before

PageFooter


aggregate row

A single row that summarizes data from a group of rows having one or more column values in common. A query that includes a Group By clause will return aggregate rows. For example, a row that totals all orders made by one customer is an aggregate row.

Related term

query

Contrast with

data row


alias

An alternate name. In Actuate Basic, an alias is a name given to an external procedure to avoid conflict with reserved words, variables, or constants. In a SQL statement, an alias is a name given to a database table or column.

Related terms

Actuate Basic

SQL SELECT statement


ancestor class

Any class in the inheritance hierarchy from which a particular class directly or indirectly inherits.

Related terms

class

class hierarchy

Contrast with

base class

derived class

descendant class

subclass

superclass


ANSI (American National Standards Institute) character set

An 8-bit character set that enables representation of up to 256 characters. The ASCII (American Standard Code for Information Interchange) character set is a subset of the ANSI character set.

Related term

ASCII (American Standard Code for Information Inter-change) character set


Any

An Actuate Basic reserved word that accepts variables of any data type.

Related terms

Actuate Basic

data type

variable


AnyClass

An Actuate Basic reserved word that accepts a handle to a class of any type.

Related terms

Actuate Basic

class

data type


applet

A small application program that performs a simple task. Applets are often embedded objects such as a Java program that can be included in an HTML page.

Related terms

application

HyperText Markup Language (HTML)

Java

object


application

A collection of code and visual elements that work together to perform a task.


API (Application Programming Interface)

A set of routines that manage windows, menus, and icons or request and carry out services performed by an operating system or network.

Related term

Actuate Software Development Kit (SDK)


argument

A constant, expression, or variable that supplies data to a function or a subroutine.

Related terms

constant

method

parameter

procedure

variable


array

A data variable that consists of sequentially indexed elements having the same type. Each element has a common name, common data type, and a unique index number identifier. Changes made to an element of an array do not affect other elements.

Related terms

data type

variable


ASCII (American Standard Code for Information Inter-change) character set

A 7-bit character set that represents letters and symbols on a typical U.S. keyboard.

Related term

ANSI (American National Standards Institute) character sett


asterisk (*)

1	A wildcard character used for searches and queries.

2	A multiplication symbol in expressions.

Related terms

search expression

wildcard


ascendant class

See ancestor class.


assignment statement

A statement that assigns a value to a variable. For example,

Text1.text = "My Name"


Basic source (.BAS) file

A file that contains Actuate Basic source code. A Basic source file can be created in two ways:

1	The user writes a Basic source file using any text editor and saves it to a .BAS file.

2	The user compiles a report design (.ROD), which causes Actuate to generate a Basic source (.BAS) file. The source file or files are then compiled into an executable (.ROX) file.

Related terms

Actuate Basic

Actuate Palette Representation (.APR) file

report object design (.ROD) file

report object executable (.ROX) file

report object instance (.ROI) file

report object library (.ROL) file

report object value (.ROV) file

report object web (.ROW) file


base class

A class from which another class in the Actuate Foundation Class hierarchy derives. For example, AcSection is a base class for AcParallelSection.

Related terms

abstract base class

Actuate Foundation Class (AFC)

class

concrete base class


batch request

A request that the request process holds until an operations process is available to handle the request priority.

Related terms

operations process

request

Request process


Before

A component reference property that identifies a component to be printed or displayed at the beginning of a section. Before is a slot in the Design Editor. For example, Before can contain column headings.

Related terms

component

component reference property

report

section

slot

Contrast with

After

PageHeader


binary number

A number in base 2. A binary number uses only the digits 0 and 1. Each place represents a power of 2. By comparison, base 10 numbers use the digits 0 through 9. Each place represents a power of 10. Binary notation is used because the only values available in an electronic circuit are 0 (power off) and 1 (power on).

Related terms

bit

hexadecimal number

octal number


bit

The smallest unit of information in a computer. The value of a bit is either
0 or 1.


bit mask

A value used with bitwise operators (AND, EQV, IMP, NOT, OR, XOR) to test, set, or reset the state of individual bits in a bit-field value.


bitmap

The representation of an image by an array of bits. Bitmap files have the extensions such as .BMP or .JPG.

Related terms

array

bit


bitwise operation

A bit-by-bit comparison of identically positioned bits in two numeric expressions.


Boolean expression

An expression that yields one of two values: True or False. The False state is always zero and the True state is always nonzero. The True state has two definitions: one bit-wise, the other logical. The bit-wise definition is represented by the intrinsic constant True and always equals 1. The logical definition is used in testing for conditional expressions in statements such as IF condition THEN... or WHILE condition... WEND where any expression that evaluates to nonzero fulfills the condition.

Related term

expression


breakpoint

A place marker in a program being debugged causing execution to be halted so that data values may be examined and altered.

Related term

debug


browser

A tool used to search for information such as design elements, reports, and resources.

Related terms

Globals Browser

Library Browser

Project Browser

Stored Procedure Browser

web browser


BSTR

An OLE string that must be freed by its requester, unlike a C++ string that must be freed by its creator.

Related terms

OLE (object linking and embedding)

string expression


Builder

See Expression Builder, Query Editor, Stored Procedure Data Source Builder.


Builder button

A button used to open the Color Chooser, Expression Builder, Method Editor, and Query Editor.

Related terms

Color Chooser

Expression Builder

Method Editor

Query Editor

Stored Procedure Data Source Builder


button

An icon in a toolbar, tool palette, or dialog box that provides quick access to a feature or function.

Related term

toolbar


calculated column

A field defined in a query that yields the result of an expression.

Related terms

field

query


calculated control

A data control that displays the result of an expression rather than stored data. Actuate recalculates the result each time it generates the report.

Related terms

data control

expression


caption

The text on a label or in the title bar of a report window.


cascading events

A sequence of events triggered by some particular event. Cascading events are also referred to as event cascades.

Related term

event

Contrast with

recursion


case sensitivity

A condition in which the system considers letter case to be significant for the purposes of comparison. For example, "McManus" will not match "MCMANUS" or "mcmanus" in a case-sensitive environment.


cell

An intersection of row and column in a crosstab or grid.

Related terms

column

row


channel

A set of pages, news headlines, and other information that a publisher packages and transmits to subscribers.

Related terms

Actuate ReportCast technology

publish and subscribe

subscribe

Contrast with

unsubscribe


channel page

A HyperText Markup Language page that displays the contents of a specific channel.

Related terms

Actuate ReportCast technology

channel

HyperText Markup Language (HTML)

page


channel subscription page

A page that displays the set of channels to which a user can subscribe and the user's subscription status.

Related terms

Actuate ReportCast technology

channel

channel page

subscribe


check box

A control that represents an option such as on/off or true/false set by selecting or deselecting. When selected, the check box contains an X.


class

A set of methods and variables implemented in Actuate Basic that defines the characteristics of an object. All objects of a given class are identical in form and behavior, but contain different data in their variables.

Related terms

Actuate Basic

Actuate Foundation Class (AFC)

base class

component

concrete base class

object

subclass

superclass

variable


class declaration

An Actuate Basic statement that defines a class. A class declaration contains other class, method, and variable declarations.

Related terms

Actuate Basic

class

declaration

method

variable


class hierarchy

A tree structure that represents the inheritance relationships among a set of classes.

Related terms

base class

class

inheritance


class name

A unique name given to a class that permits unambiguous references to its public methods and variables.

Related terms

Actuate Basic

class

method

variable


Class page

A page in the Component Editor that displays class information about the selected component. A Class page displays information such as superclass and scope of the selected component.

Related terms

class

component

Component Editor

page

scope

superclass

Contrast with

Methods page

Properties page

Variables page


client/server

A relationship in which server software accepts requests from client software and returns the results to the client. Typically, the client and server software are located on different machines and communicate over a network.


Clipboard

A temporary storage area used by Windows that holds graphics or text to transfer from one document to another.

Contrast with

Scratch Pad


Color Chooser

A tool in the Developer Workbench that specifies colors for parts of the report such as control backgrounds, fonts, frame backgrounds, and lines. Use the Builder button [image] in the Properties page of the Component Editor to access the Color Chooser.

Related terms

Builder button

Component Editor

control

frame

Properties page


column

A named field in a database table or query. For each row, the column will have a different value, called the column value. The term column refers to the definition of the column, not to any particular value.

Related terms

field

row

table


Columns page

A page in the Query Editor that lists columns selected for inclusion in a report. Use the Columns page to select those columns or define computed columns.

Related terms

column

page

Query Editor


combo box

A control that functions as a text box and list box combined. To use a combo box, type a value or select an item from a list.


command

1	A user-initiated action request that takes the form of a name and parameters that can be performed by an application.

2	In the Actuate Web Agent, commands are part of the scripting language included with the Actuate Web Agent. These commands are embedded in the HTML comments of the Actuate Web Agent template file. The command tells the Web Agent how to generate a web page. Scripting language commands use this format:

<!- - #Actuate <directive> [options] - ->

For example,

<!- - #Actuate list members (roles) - ->

Related terms

Actuate Web Agent

HyperText Markup Language (HTML)

parameter

scripting language

template

web page


comment

1	Text on the Class page which documents the purpose of a component.

2	Text written in Actuate Basic code to describe your code or your work. Each comment line starts with a single quote (') or the keyword REM followed by a space.

Related terms

Actuate Basic

Actuate Foundation Class (AFC)


Common Gateway Interface (CGI)

An Internet standard that describes how a web server should access external programs so that the data is returned to the user in the form of an automatically generated Web page. Forms that a web user fills out generate output handled by a CGI program or script that brings other programs into play as necessary.

Related terms

Internet

web server


compile

To translate code written by a programmer into object code for execution. In Actuate, compiling is translating a Basic source file into an executable file.

Related terms

Basic source (.BAS) file

report object executable (.ROX) file


component

A building block used to construct a report design. Components are representations of Actuate Basic Foundation Classes. Components have properties and methods that define their appearance and behavior. One component can be based on or derived from another component. All components derive from AcComponent, the principal base Actuate Foundation Class. For modification and reuse, components may be grouped and stored in libraries.

Related terms

Actuate Foundation Class (AFC)

class

object

structural component

visual component


Component Editor

A tool in the Developer Workbench used to define, manipulate, and view methods, properties, and variables of a component. The Component Editor also identifies the class from which the component derives. The Class page, Methods page, Properties page, and Variables page make up the Component Editor.

Related terms

class

Class page

component

inheritance

method

Methods page

property

Properties page

variable

Variables page


component library

A file that contains components which can be modified for use in one or more report designs. The file suffix of component library files is .ROL.

Related terms

Actuate Foundation Class (AFC)

class

component

library

report object library (.ROL) file


component reference property

A property that stores the name of another component. Component reference properties record reference relationships between components. For example, a frame Content property stores the name of controls within that frame.

Related terms

component

control

frame

property


computed column

A field defined in a query that displays the result of an expression rather than stored data. The database engine recalculates the value each time it runs the query.

Related terms

field

query


concrete base class

A class created to organize a hierarchy or define methods and variables that will apply to derived classes. A concrete base class is one for which instances can be created.

Related terms

base class

class

class hierarchy

method

variable

Contrast with

abstract base class


conditional expression

An expression that evaluates to True or False. For example, Total > 3000. If the condition is met, the condition evaluates to True. If the condition is not met, the condition evaluates to False.

Related term

expression


conditional section

A section that uses a conditional expression to determine which of two frames or subreports should be included in a report.

Related terms

frame

group section

parallel section

report section

section

sequential section


Conditions page

A page in the Query Editor that displays selection criteria for rows that the query selects from the database.

Related terms

page

Query Editor

row


connection

1	A communication link with a database or other data source.

2	A component that establishes a link with a database. Actuate provides six standard connection types: DB2, Informix, Microsoft SQL/Server, ODBC, Oracle, Progress, Sybase 10 and 11, and Sybase 4.9.2. There are two types of reports for which you do not need to define a connection. The first is a subreport that shares a connection with another report. The second is a report that does not get data from a database. For this type of report, you must create a custom data stream. The relevant Actuate Foundation Classes are AcDB2Connection, AcInformixConnection, AcMSSQLConnection, AcODBCConnection, AcOracleConnection, AcProgressConnection, AcSybaseConnection, and AcSybaseDBLibConnection.

Related terms

Actuate Foundation Class (AFC)

component

data stream

report

subreport


Connection property

A value required to establish the connection. The properties required vary depending on the database configuration. Typical connection properties are user name and password. Connection properties are associated with the connection component.

Related terms

component

connection

property


consistent report design

A report design that can be compiled and executed with no errors. Actuate has a design consistency check which examines the report design for references to unknown classes, methods, or variables.

Related terms

class

method

variable


constant

An unchanging, predefined value. A constant does not change while a program is running, but the contents of a field or variable can change.

Contrast with

field

variable


constructor code

Code that initializes an instance of the class.

Related terms

class

instance


containment

A relationship among instantiated objects in a report. One component, the container, consists of other components, the contents.

Related terms

component

Content

report object instance (.ROI) file


containment hierarchy

A hierarchy of objects in the report.

Related terms

hierarchy

report object instance (.ROI) file


Content

A component reference property that determines what appears in the component for every data row processed by the component. For example, the content of the innermost group section is likely to be a frame displaying data for each detail row.

Related terms

component

component reference property

frame

section


context menu

A menu accessed using the right mouse button. The context menu contains commonly used commands associated with a particular item such as a component.

Related term

component


control

A graph, graphic, number, text, or other element that can be placed in a frame. These objects display data, perform an action, or make the report easier to read. A control can be static or data driven. The relevant Actuate Foundation Class is AcControl.

Related terms

Actuate Foundation Class (AFC)

component

frame

object


control properties

See property.


copy

A technique that duplicates all currently selected data or objects and places that material temporarily on the Clipboard.

Related term

Clipboard


crosstab report

A report that displays data in spreadsheet format using fields specified as rows and columns.

Related terms

column

field

report

row


cue card

An online window that contains a step-by-step procedure to help accomplish an unfamiliar task quickly. The title of each cue card begins "How to..." The procedures are identical to those in the printed manual, so there is no need to cross-check for additional or different information.

Related term

online help


Currency data type

An Actuate Basic data type used for financial or fixed-point calculations. The Currency data type stores numbers with up to 20 digits to the left of the decimal point and up to 9 digits to the right of the decimal point. The range of the currency data type is -39,614,081,257,132,168,796.771975167 to 39,614,081,257,132,168,796.771975167.

Related terms

Actuate Basic

data type


customize

1	To change component methods or properties to modify appearance or behavior.

2	To change the product environment.

Related terms

component

method

property


cut

A technique that removes all currently selected data or objects and places that material temporarily on the Clipboard.

Related term

Clipboard


data

Information stored in databases, spreadsheets, or documents that can be displayed in Actuate reports. The information can be text, numbers or graphics.

Related terms

data source

report


data abstraction

A process of defining new, high-level data types to serve the specialized needs of a particular application or program. Object-oriented languages use this process.

Related term

object-oriented programming

Contrast with

data type


data adapter

A data stream processing component. A data adapter filters, retrieves, sorts, or otherwise processes information. The two types of data adapters are data sources and data filters. The relevant Actuate Foundation Class is AcDataAdapter.

Related terms

Actuate Foundation Class (AFC)

data filter

data row

data stream


data control

A component that stores and displays data. The relevant Actuate Foundation Classes are AcCurrencyControl, AcDataControl, AcDateTimeControl, AcDoubleControl, AcIntegerControl, AcNumericControl, and AcTextControl.

Related terms

Actuate Foundation Class (AFC)

component

Contrast with

static control


data filter

A component that can compute new values, perform custom lookup, select rows, sort, and join data from multiple data adapters. A data filter is a type of data adapter. Data may pass through a series of filters before being delivered to the report. The relevant Actuate Foundation Classes are AcMemoryBuffer, AcMemoryDataSorter, AcMultipleInputFilter, and AcSingleInputFilter.

Related terms

Actuate Foundation Class (AFC)

data adapter

join

query

row


data frame

A frame that displays data from a data row. The relevant Actuate Foundation Class is AcFrame.

Related terms

data row

frame

static frame


data row

A component that describes and contains the output of a data adapter. That output can be used as a source of data for either a report or another data adapter. A data row includes a list of variables. The relevant Actuate Foundation Class is AcDataRow.

Related terms

Actuate Foundation Class (AFC)

component

data adapter


data source

1	A repository of data such as a document, a flat file, an object database, a spreadsheet, a SQL database, or any other pool of information. An Actuate report can include all these types of data.

2	The component that collects data from outside a report. The data source is a type of data adapter. All data source components derive from the Actuate Foundation Class as AcDataSource.

Related terms

Actuate Foundation Class (AFC)

data

data adapter

report


data stream

A sequence of one or more data adapters that collect, process, and deliver data as input to the report layout components.

Related terms

component

data adapter


data type

A category for variables that determines characteristics such as the information they can hold and the permitted operations. Fundamental data types include Currency, Date, Double, Integer, Long, Single, String, and Variant.

Related terms

Actuate Basic

Currency data type

Date data type

Double data type

Integer data type

Long data type

Single data type

String data type

Variant data type

Contrast with

data abstraction

semantic type


database connection

See connection.


database management system (DBMS)

Software that helps you organize simultaneous access to shared data. Database management programs store relationships among various data elements.


Date data type

An Actuate Basic data type used for date and time calculations. The Date data type stores floating-point numbers that represent dates ranging from 1 January 100 to 31 December 9999 and times from 00:00:00 to 23:59:59. Date variables display dates and times based on the formats specified by your computer.

Related terms

Actuate Basic

data type


DBMS (database management system)

See database management system (DBMS).


debug

To detect, locate, and fix errors. Typically, debugging involves executing specific portions of a computer program and analyzing the operation of those portions.


declaration

In Actuate Basic, the definition of a constant, class, variable, or user-defined type that specifies the name and data type.

Related terms

Actuate Basic

constant

data type

variable


declarations section

The position of an Actuate Basic module that contains constant, data type, and global variable declarations. The declarations section is enclosed in Declare...End Declare.

Related terms

Actuate Basic

constant

data type

variable


default

A value that is automatically assigned by the application when the user does not specify a value.

Related term

override


delete privilege

A privilege that provides the option to remove items from the Report Encyclopedia. Other privileges include execute, grant, read, and write.

Related terms

execute privilege

grant privilege

privilege

read privilege

Report Encyclopedia

visible privilege

write privilege


demand paging

A mechanism for dealing efficiently with large files. Instead of reading an entire file into memory or sending an entire file over a network, pages are sent as needed. This method of data transfer improves response time and optimizes resource usage.

Related term

Virtual Report Distribution


dependency

A relationship between two items. For example, a dependency exists between a specific report executable (.ROX) and a report document (.ROI). That means the report document will not run unless the report executable is present.

Related terms

report object instance (.ROI) file

report object executable (.ROX) file


derived class

A descendant class. For example, AcIntegerControl is a derived class of AcControl.

Related terms

Actuate Foundation Class (AFC)

class

descendant class

subclass

Contrast with

ancestor class

base class

superclass


descendant class

A class based on another class.

Related terms

Actuate Foundation Class (AFC)

class

derived class

subclass

Contrast with

ascendant class

base class

superclass


design

1	The process of creating a report specification. Designing a report includes selecting data streams, laying out the report visually, and saving the layout in a report design (.ROD) file. Report designs can be edited in the Developer Workbench by opening the design file.

2	A report specification. Actuate stores report designs in a report object design (.ROD) file.

Related terms

data stream

report object design (.ROD) file


Design Editor

The tool used to specify the structure and appearance of a report or a single component.

Related terms

component

layout pane

report

structure pane


detail frame

A frame that prints for each row from the data stream. To create a detail frame, place a frame in the Content slot of a report or group section.

Related terms

Content

data stream

frame

group section

row


Developer Workbench

See Actuate Developer Workbench.


directive

See Web Agent directive.


DLL (dynamic-link library)

See dynamic-link library (DLL).


domain name

A name that defines individual Internet computers. For example, Actuate Software Corporation's domain name is Actuate. The web address is www.actuate.com.

Related term

Internet


dot notation

Syntax that refers to the methods and variables of an object. The dot separates the name of an object handle from the name of an instance variable or method in the referenced object.

Related terms

method

object

syntax

variable


Double data type

An Actuate Basic data type that stores double-precision floating point numbers, ranging in value from -1.797693134862315E308 to -4.94066E-324 for negative values and from 4.94066E-324 to 1.797693134862315E308 for positive values.

Related terms

Actuate Basic

data type


drag-and-drop

A Windows technique that requires clicking the mouse button while the pointer is over an object you wish to select and move. Hold the mouse button down to drag the object over the destination. Release the mouse button to drop the object at the destination. The operation that is performed by this action, such as copy, move, subclass, or publish, depends on the component you select and the place where you drop it.

Related terms

publish and subscribe

slot

subclass


drawing control

A component that adds graphic elements to a report design. Actuate provides ellipse, image, line, and rectangle. The relevant Actuate Foundation Classes are AcEllipseControl, AcImageControl, AcLineControl, and AcRectangleControl.

Related terms

Actuate Foundation Class (AFC)

control

ellipse control

image control

line control

rectangle control


dynamic-link library (DLL)

A library of routines loaded and linked into applications at run time. Such routines may provide such functions as data source Application Programming Interfaces (APIs), specialized mathematical or statistical analysis, and audio or video processing. These routines can be called from Actuate Basic.

Related term

Actuate Basic


dynamic hyperlink

A programmed connection from one part of a report to another part of a different report. The dynamic hyperlink differs from a standard hyperlink by first generating a new report, then linking the source report to the destination report. The standard hyperlink simply connects two existing reports. To program a dynamic hyperlink, use the Requester API.

Related terms

Actuate Software Development Kit (SDK)

API (Application Programming Interface)

hyperlink


ellipse control

A component that adds a circular or oval graphic shape to a report design. The relevant Actuate Foundation Class is AcEllipseControl.

Related terms

Actuate Foundation Class (AFC)

component

control

drawing control


embed

To insert a copy of an OLE object from one application inside another. Once embedded, the object has no association with the original source object.

Related terms

link

object

OLE (object linking and embedding)


empty

A value that indicates a variable has not been initialized. Empty equals zero in a numeric context, zero-length in a string context, or Nothing in the case of an object handle.

Related term

variable


encapsulation

A technique of packaging related data functions and subroutines together. Encapsulation compartmentalizes the structure and behavior of a class, hiding the implementation details, so that parts of an object-oriented system need not depend on, or affect, each other's internal details. The mechanism for encapsulation is an object.

Related terms

class

data

function

object

subroutine


Encyclopedia

See Report Encyclopedia.


End User Desktop

See Actuate End User Desktop.


enterprise

A large collection of networked computers running on multiple platforms. Enterprise systems can include both mainframes and workstations integrated into a single manageable environment. Software products include browsers, applications, applets, web protocols, and multiple databases supporting a warehouse of information.

Related terms

application

browser

enterprise reporting


enterprise reporting

The production of a high volume of simple and complex reports that collect data from a variety of data sources. These reports are deployed to a large number of geographically distributed users working in both client/server and Internet environments.

Related terms

client/server

data

enterprise

Internet


escape character(\)

A character provided to take care of cases where special characters are to be taken literally rather than treated specially. This character is valid only in Query by Example (QBE) expressions.

Related term

Query by Example (QBE)


event

1	An action or occurrence recognized by an object. Each object responds to a predefined set of events that can be extended by the developer. For example, user events include clicking the mouse button and moving a pointer.

2	An action or occurrence associated with an object. For example, object moved, object operation completed, object operation failed, and object renamed.

Related terms

component

event handler

object

operations process


event handler

A method that runs in response to an event. Event handlers override the method's default action.

Related terms

event

method


executable file

A file that contains machine-readable instructions that, when run, perform one or more tasks. Actuate report executables have .ROX filename extensions.

Related term

report object executable (.ROX) file


execute privilege

A privilege that provides the option to run items from the Report Encyclopedia. Other privileges include delete, grant, read, and write.

Related terms

delete privilege

grant privilege

privilege

read privilege

Report Encyclopedia

visible privilege

write privilege


expiration

An Actuate ReportCast channel property that specifies how long a report and its headline appear as a selection.

Related terms

Actuate ReportCast technology

channel

property


expression

A combination of constants, controls, functions, literal values, names of fields, operators, and properties that evaluates to a single value. For example, expressions can set property values or query conditions.

Related terms

constant

control

field

function

property


Expression Builder

A tool used to write expressions.

Related term

expression


Factory

An internal tool that generates a report for viewing. The Factory follows the instructions in a report executable (.ROX) file to generate a report (.ROI).

Related terms

report object executable (.ROX) file

report object instance (.ROI) file


Factory process

A process that generates a report instance file from a report executable file and issues notification of the completion of the report.

Related terms

notification

report

report object executable (.ROX) file

report object instance (.ROI) file


fetch

To retrieve the next available data row. Data adapters fetch data rows. If the data adapter is a data source component, the fetch will read a new data record from the database or other data source. If the data adapter is a filter, then the filter will retrieve a data row from another data adapter and process the row.

Related terms

data adapter

data row

data source


field

The smallest identifiable part of a table structure. A field is also called a column.

Related term

column


Field List

A tool in the Developer Workbench that shows all the fields in the data row that are returned by a data stream.

Related terms

control

data stream


file dependency

A file property that means one file depends upon another file for its existence. The Actuate Report Server automatically creates a dependency between a report document (.ROI file) and the report object executable (.ROX file). Both files must be present to run and view a report.

Related terms

Actuate Report Server

property

report

report object instance (.ROI) file

report object executable (.ROX) file


file types

See Actuate Palette Representation (.APR) file, Basic source (.BAS) file,report object design (.ROD) file, report object executable (.ROX) file, report object instance (.ROI) file, report object library (.ROL) file, report object value (.ROV) file, report object web (.ROW) file.


filter

See data filter.


flow

A component that defines a printable area of a page. Flows determine the columns and margins of a page. The relevant Actuate Foundation Class is AcFlow.

Related terms

Actuate Foundation Class (AFC)

component

frame

page


font

A family of characters of a given style. Fonts contain information specifying typeface, weight, posture, and type size. Properties can be set to specify different type sizes and styles such as bold, italic and so on.

Related term

property


footer

See PageFooter.


format

A series of standard options that display and print dates, numbers, text, and times. Actuate Basic both provides pre-defined formats and permits user-defined formats.

Related term

Actuate Basic


format toolbar

A toolbar used to change properties quickly without using the Component Editor. The properties available through the format toolbar include alignment, font, font color, font size, and font style.

Related terms

Component Editor

font

toolbar


forms-capable browser

A browser that handles HyperText Markup Language (HTML) forms. HTML tags enable interactive forms including fill-in text areas, option buttons, drop-down list boxes, and check boxes.

Related terms

browser

HyperText Markup Language (HTML)


frame

1	A rectangular container for controls such as graphics, numbers and text.

2	An HTML frame is an independently scrollable section of a window that divides a web page into horizontal and vertical sections. Actuate reports can include HTML frames. Actuate Web Agent template files make use of HTML tables.

Related terms

Actuate Web Agent

data frame

static frame

Web Agent template file


framework

A set of classes, such as the Actuate Foundation Classes, that provide an architecture for building an application.

Related term

Actuate Foundation Class (AFC)


function

A sequence of instructions that has been defined as a separate unit within a program, allowing the unit to be invoked anywhere in the program simply by including its name as one of the instructions. An Actuate Basic function is similar to a subroutine except it returns a value.

Related term

Actuate Basic

Contrast with

subroutine


generate code

A process that precedes compiling. Generating code translates the report design file (.ROD file) into Actuate Basic code (.BAS file).

Related terms

Actuate Basic

Basic source (.BAS) file

report object design (.ROD) file


global name space

A list of names of items available throughout a report design. The list may include names of classes, functions, and variables.

Related terms

class

function

scope-resolution operator (::)

variable


global variable

A variable available to all procedures in an application. A global variable stays in memory until the application ends.

Related terms

instance variable

static variable

variable


Globals Browser

A tool that shows the symbols in a report.

Related terms

browser

report


grandchild class

See descendant class.


grandparent class

See ancestor class.


grant privilege

A privilege that provides the option to extend privileges for a specific item in the Report Encyclopedia to other users. The user who develops a particular item and places it in the Report Encyclopedia and the administrator both have grant privileges for that item. Other privileges include delete, execute, read, and write.

Related terms

delete privilege

execute privilege

privilege

read privilege

Report Encyclopedia

visible privilege

write privilege


graph

A component used to create or display information visually in a report. Actuate provides a set of standard business graphs such as pie charts, bar graphs, and scatter graphs. The relevant Actuate Foundation Class is AcGraph.

Related terms

Actuate Foundation Class (AFC)

component

control


grid

A vertical and horizontal pattern of lines that helps users position design components accurately. The grid appears in the layout pane of the Design Editor.

Related terms

component

Design Editor

layout pane


group

1	A set of data rows that have one or more column values in common. For example, in a sales report, a group consists of all the orders placed by the same customer.

2	A notification list. All users can use any notification list, but only the administrator can modify or create a list.

Related terms

column

data row

group owner

group section

grouped report

notification


group owner

A user who controls the membership of a group.


group section

A component that sorts rows on a common field. For example, customers can be grouped by state. Group sections are used to create grouped reports. Actuate automatically adds the sorting information specified in group sections to the Order By clause of the query.

Related terms

component

grouped report

row

section

Contrast with

conditional section

parallel section

report section

sequential section


Group By page

A page in the Query Editor that displays definitions of aggregate rows. Use the Group By page to specify aggregate rows, which summarize data from a group of rows.

Related terms

aggregate row

data

page

Query Editor


grouped report

A report that organizes data in nested groups.

Related terms

data

group

group section


Having page

A page in the Query Editor that displays selection criteria for aggregate rows.

Related terms

aggregate row

page

Query Editor


header

See PageHeader.


help

See online help.


hexadecimal number

A number in base 16. A hexadecimal number uses the digits 0 through 9 and the letters A through F. Each place represents a power of 16. By comparison, base 10 numbers use the digits 0 through 9. Each place represents a power of 10.

Related terms

binary number

octal number


hierarchy

Any tree structure that has a root and branches that do not converge.


horizontal scroll bar

A scroll bar at the bottom of the window used to move the screen view to the left and right to access information formats wider than the existing document screen settings permit.

Contrast with

vertical scroll bar


HTML

See HyperText Markup Language (HTML).


HTTP

See HyperText Transfer Protocol (HTTP).


hyperlink

1	A programmed connection from one part of a report to another part of the same or different report. Typically, hyperlinks let the user access related information within the same report, in another report, or in another application. A hyperlink is indicated by a change in the cursor shape to a hand. The relevant Actuate Foundation Class is AcReportController.

2	A jump to another location on the same or a different web page.

Related terms

Actuate Foundation Class (AFC)

dynamic hyperlink

link


HyperText Markup Language (HTML)

A set of conventions that determine the format of a section of a document. HTML is the markup language that tells a parser that the text is a certain portion, for example, the title, heading, or body text, of a document on the World Wide Web. The parser programs that access these documents are called web browsers.

Related terms

web browser

World Wide Web (WWW or W3)


HyperText Markup Language Page

A page containing tags that a web browser interprets and displays. This page can also be called a web page.

Related terms

Actuate ReportCast technology

page


HyperText Transfer Protocol (HTTP)

An Internet standard that supports the exchange of information using the World Wide Web. HTTP enables the embedding of hyperlinks from one part of a web document to another part of the same document or a different document.

Related terms

Internet

World Wide Web (WWW or W3)


icon

An image representing a specific component, executable, or task.

Related term

component


identifier

The name of an item in a program such as a class, function, or variable.

Related terms

function

variable


image

An imported graphic file. Actuate supports .BMP, .JPEG, .PCX, .TGA, and .TIF files.


image control

A component that adds a bitmap or other graphic to a report design. The relevant Actuate Foundation Class is AcImageControl.

Related terms

Actuate Foundation Class (AFC)

bitmap

component

control

image


implicit declaration

A variable declaration in an assignment statement rather than in the Dim, Global, or Static statements. Implicit declaration is supported in Visual Basic, but not in Actuate Basic. All declarations in Actuate Basic are explicit.

Related terms

declaration

statement


imported object

See OLE (object linking and embedding).


inheritance

A mechanism whereby one class of objects can be defined as a special case of a more general class and automatically includes the method and variable definitions of the general class, known as a base or superclass. The superclass serves as the baseline for the appearance and behavior of the derived class, or subclass. In the subclass, the appearance and behavior can be further specialized without affecting the superclass. There are two kinds of inheritance: single inheritance and multiple inheritance. Typically, a subclass augments or redefines the behavior and structure of its superclass or superclasses.

Related terms

base class

class

derived class

multiple inheritance

single inheritance

subclass

superclass


inner join

A type of join that returns records from two tables based on their having specified values in the join fields. The most common type of inner join is the equi-join, in which records are combined and returned based on field values being equal. For example, if customer and order tables are joined on customer ID, the result set will contain only combined customer and order records where the customer IDs are equal.

Related term

join

Contrast with

outer join


input area

A rectangular area on a computer screen, such as a dialog box, in which you can type values.


input object

A parameter passed to a request.


input source

See data source.


instance

An object that belongs to a particular class. The objects contain only their particular values for the variables. An instance has state, behavior, and identity.

Related terms

class

object

variable


instance variable

A variable that can contain a different value in each instance of a class. For example, instance variables store data values, font, and size.

Related terms

global variable

variable

Contrast with

static variable


instantiation

The process of creating an object from a particular class.

Related terms

class

instance

object


Integer data type

An Actuate Basic data type that stores whole numbers, ranging in value from -2,147,483,648 to 2,147,483,647.

Related terms

Actuate Basic

data type


Internet

A system of linked networks that provides services such as remote login, file transfer, electronic mail, and newsgroups. The Internet enables existing computer networks to extend their reach and connectivity. The Actuate LRX (Live Report Extension) and the Actuate Web Agent are tools that take advantage of Internet capabilities to provide access to reports distributed over the Internet.

Related terms

Actuate Live Report Extension (LRX)

Actuate Web Agent

web server


Internet Explorer

See Microsoft Internet Explorer.


IP address

The unique 32-bit ID of a node on a TCP/IP network. At login, an Actuate Report Server accepts an IP address.


Java

A programming language designed for writing client/server and networked applications, particularly for delivery on the Internet. Java can be used to write applets that animate web pages or to create interactive web sites.

Related terms

applet

application

client/server

HyperText Markup Language Page

Internet


join

A SQL query operation that combines records from two tables and returns them in a result set based on the values in the join columns. When used without further qualification, join usually refers to an equi-join. For example, customer and order tables could be joined on a common field such as customer ID. The result set would contain combined customer and order records in which the customer IDs are equal.

Contrast with

inner join

outer join


keyword

A symbol recognized as part of a programming language. For example, If, Then, and Loop are Actuate Basic keywords.

Related terms

function

method

statement


label control

A component that adds static numbers and text to a report. For example, a label control can be a heading above a column of data. A label control must be in a flow, frame, or page. The relevant Actuate Foundation Class is AcLabelControl.

Related terms

Actuate Foundation Class (AFC)

component

control

flow

frame

page

Contrast with

text control


layout

The designed appearance of a report including controls, flows, graphic elements and margins. HTML page layouts have a narrower range of options than standard page layouts. For example, HTML supports horizontal lines, not vertical lines. Actuate HTML reports can contain tables and aligned controls in columnar layout. The HTML palette includes specific classes such as AcHtmlTable, and components to support layout requirements in an HTML report.

Related terms

control

flow

HyperText Markup Language (HTML)

palette

report


layout pane

A portion of the Design Editor window that displays a visual representation of components showing their appearance. The other portion of the Design Editor window is the structure pane.

Related terms

component

Design Editor

structure pane


level-break listing

See grouped report.


level-break section

See group section.


library

A file that contains published components.

Related terms

Actuate Foundation Class Library

class

component

publish

report object library (.ROL) file


Library Browser

A tool that lists the components that have been published in a library.

Related terms

component

library

publish


line control

A component that draws a line in a report design. Line controls are contained in a flow, frame, or page. The relevant Actuate Foundation Class is AcLineControl.

Related terms

Actuate Foundation Class (AFC)

component

control

flow

frame

page


link

A connection between an OLE object and its object application. Some database products use link as a synonym for join. Actuate products use the term join, not link.

Related terms

hyperlink

OLE (object linking and embedding)

Contrast with

join


list box

A control that provides a series of choices.


listing report

A report that provides a simple view of ungrouped data. A listing report uses the same frame to print every row.

Related terms

data

frame

grouped report

multicolumn report

row


Live Report Extension (LRX)

See Actuate Live Report Extension (LRX).


logic error

A programming mistake that causes code to produce incorrect results or halt the program.


Long data type

An Actuate Basic data type that stores four-byte integers, ranging in value from -2,147,483,648 to 2,147,483, 647.

Related terms

Actuate Basic

data type


LRX

See Actuate Live Report Extension (LRX).


mailing label report

A report that formats name and address information to be printed on address stickers such as Avery labels.

Related term

report


matrix

See crosstab report.


MDI (multiple document interface)

A Windows protocol that lets you open multiple document windows within an application window.


member

1	A method or variable defined in a class.

2	A user, a role, or a group in a Report Server.

Related terms

Actuate Report Server

class

method

variable


menu bar

A horizontal bar below the title bar that contains menu names.


method

A function that accesses the data in an object or a class. Methods are written in Actuate Basic.

Related terms

Actuate Basic

class

function

object


Method Editor

A tool in the Developer Workbench used to write code for Actuate Basic methods.

Related terms

Actuate Basic

declaration


Methods page

A page in the Component Editor that displays all the methods for a component. From the Methods page, the user can access the Method Editor to override methods or create new methods.

Related terms

Builder button

component

Component Editor

method

Method Editor

page


Microsoft Internet Explorer

A web browser that offers support for advanced web sites including those that use animation, forms, and flashing text.

Related term

web browser


modal window

A window that retains focus until explicitly closed by the user. Typically, dialog boxes and message windows are modal. For example, an error message dialog remains on the screen until the user responds.

Contrast with

modeless window


modeless window

A window that solicits input, but permits users to continue using the current application without responding to that modeless window.

Contrast with

modal window


module

A file that contains class, type, or variable declarations for an application. A module is a unit of code that serves as a building block for the structure of a system.

Related terms

class

declaration

variable


multicolumn report

A report that displays or prints data in several vertical flows.

Related terms

data

flow

grouped report


multiple document interface (MDI)

See MDI (multiple document interface).


multiple inheritance

A relationship among classes in which a subclass inherits from more than one superclass. Each subclass can have any number of superclasses.

Related terms

class

derived class

inheritance

single inheritance

subclass


name space

See global name space.


Navigator

A tool that provides access to the Actuate Report Encyclopedia available as part of the Actuate Reporting System. Use the Navigator to read completed reports, request reports, and schedule report requests. Access to items in the Report Encyclopedia depends upon user privileges.

Related terms

report

Report Encyclopedia


nested report

See subreport.


Netscape Navigator

A web browser that offers support for advanced web sites including those that use animation, forms, and flashing text.

Related term

web browser


notification

1	A message sent by email or presented by the Navigator in the Completed folder advising that a requested report has been run and is available for viewing. The message is a transient object.

2	A message from the Report Server software to the client software regarding the completion of a request, failure of a request, or an error that has occurred.

Related terms

Actuate Report Server

client/server

Navigator

object

request


notification group

A set of users who are informed of a completed request and available report.

Related terms

report

request


null

A value that indicates a variable contains no data.

Related terms

data

variable


numeric expression

A numeric constant, a simple numeric variable, a scalar reference to a numeric array, a numeric-valued function reference, or a sequence of the above, separated by numeric operators and parentheses. For example, Val(Dates) + 1.

Related terms

array

constant

function

variable


object

An instance of a particular class, including its characteristics, created during the process of running a report. For example, when a user runs a report, Actuate instantiates multiple persistent Customer Frame objects, one for each customer row retrieved from the database.

Related terms

class

instance

persistent object

transient object


object database management system (ODBMS)

A database management system built specifically to store and retrieve objects rather than simple data types.

Related terms

data type

database management system (DBMS)

object


object reference variable

A variable that contains a reference to an object. References can be passed to functions and subroutines as parameters.

Related terms

function

object

parameter

subroutine

variable


object-oriented programming

A method for writing applications using classes, not algorithms, as the fundamental building blocks.

Related terms

class

inheritance

method

object

variable


octal number

A number in base 8. An octal number uses only the digits 0 through 7. Each place represents a power of 8. By comparison, base 10 numbers use the digits 0 through 9. Each place represents a power of 10.

Related terms

binary number

hexadecimal number


ODBC (open database connectivity)

A standard protocol used by Actuate as one of the database management system (DBMS) interfaces to connect reports to databases that comply with this specification.

Related terms

connection

database connection

database management system (DBMS)


ODBMS (object database management system)

See object database management system (ODBMS).


OLE (object linking and embedding)

A Windows technology used to provide a document-centered rather than a program-centered environment. OLE provides a framework where users can prepare and maintain compound documents.

Related term

OLE automation


OLE automation

A Windows technique that enables a client application to control an OLE server without direct input from the user. For use by the client, the OLE server must provide a defined interface to its functions.

Related term

OLE (object linking and embedding)


online help

1	Information displayed on the computer screen to help the user understand an application.

2	In an Actuate report, an explanation associated with an object. The user displays online help when viewing the report to find out more about a particular object in the report. For example, a calculated control might have associated online help that explains how the calculation was performed.

Related terms

application

calculated control

component

object

report


operator

A symbol or keyword that performs an operation on expressions. See Actuate Basic Language Reference for more detailed information on the various types of operators.


operations process

A Report Server process that executes a request to print or run a report.

Related terms

Factory process

Print process

request


Order By page

A page in the Query Editor that displays the sort key. You can use the Order By page instead of or in addition to group sections to specify how data is sorted.

Related terms

data

group section

page

Query Editor

sort key


outer join

A type of join that returns records from one table even if there are no matching values in the other table. The two kinds of outer join are the left outer join and the right outer join. The left outer join returns all records from the left-hand table in the join operation even if there are no matching values in the other table. The right outer join returns all records from the right-hand table in the join operation. For example, if customers (left-hand table) and orders (right-hand table) tables are left outer joined on customer ID, the result set will contain all customer records including records for customers with no orders.

Related term

join

Contrast with

inner join


output object

A value returned by a request.

Related terms

request

value

Contrast with

input object


override

To write new code that replaces the default code of an inherited method.

Related terms

default

inheritance

method


page

1	A component that specifies the visual design of a page in the report. A page can contain controls, graphic components, flows, and frames. The relevant Actuate Foundation Class is AcPage.

2	An area in a window that groups and displays related information. A window can contain several pages, each of which is accessed by a tab.

3	A collection of HTML information that displays in a web browser.

Related terms

Actuate Foundation Class (AFC)

component

control

flow

frame

HyperText Markup Language (HTML)

HyperText Markup Language Page

layout

Page List

web browser


PageFooter

A component reference property that identifies a component to be printed or displayed at the bottom of every page of a section. The PageFooter does not appear on the last page if the section's ShowFooterOnLast property is False.

Related terms

component

component reference property

section

Contrast with

After

PageHeader


PageHeader

A component reference property that identifies a component to be printed or displayed at the top of every page of a section. The page header does not appear on the first page if the section's ShowHeaderOnFirst property is False.

Related terms

component

component reference property

section

Contrast with

Before

PageFooter


Page List

1	A component that maintains a list of page layouts.

2	A slot in the structure pane where a page list component can be placed. The relevant Actuate Foundation Classes include AcCustomPageList, AcLeftRightPageList, AcSimplePageList, and AcTitleBodyPageList.

Related terms

Actuate Foundation Class (AFC)

component

layout

page

slot


palette

A collection of components that represent specific classes. The Design Editor contains a main palette consisting of a series of buttons, one for each of the component palettes. The component palettes group classes by functionality: Structure, Data, Controls, Graphics, HTML, and Page Layout. Users can add additional palettes and modify existing palettes.

Related terms

Actuate Palette Representation (.APR) file

class

component

Design Editor

HyperText Markup Language (HTML)


parallel section

A component that contains two or more subreports displayed or printed on the same page. For example, the left side of the page might contain a report that displays or prints employee addresses, and the right side of the page might contain a report that displays or prints employee salary histories. The relevant Actuate Foundation Class is AcParallelSection.

Related terms

Actuate Foundation Class (AFC)

component

section

subreport

Contrast with

conditional section

group section

report section

sequential section


parameter

1	The data passed between functions, programs, or subroutines.

2	In an Actuate report, a variable containing a value. Parameters provide an opportunity for the user to type a value as input to the execution of a report. Parameters provide control over report data selection, processing, and formatting.

Related terms

ad hoc parameter

report

variable


parent class

See superclass.


password

An optional code that restricts access to the Report Encyclopedia. Passwords can be up to 256 characters in length and can contain any ASCII characters except control characters or spaces. Passwords are case-sensitive. Passwords can use a mixture of case, alphabetical, and numerical characters to increase security.

Related terms

Report Encyclopedia

user name


paste

A technique that moves material temporarily located on the Clipboard into a document.

Related term

Clipboard


pattern matching

See search expression.


persistent object

An object created by a client or server process and permanently stored in a file. Most objects, including data controls, graphical elements, pages, and sections, are persistent. A report object instance (.ROI) file contains only persistent objects.

Related terms

data control

object

page

Persistent Object process

report object instance (.ROI) file

section

Contrast with

transient object


Persistent Object process

A Report Server process that manages an object that exists until the report file is deleted.

Related terms

persistent object

Actuate Report Server


Persistent Object Storage Manager (POSM)

A mechanism used for reading and writing a stored object that exists until the report file is deleted.

Related term

report object instance (.ROI) file


personal channel

A ReportCast channel page that displays the user's completed request folder.

Related terms

Actuate ReportCast technology

channel

channel page

request


personal folder

A user's working environment in the Report Encyclopedia.

Related term

Report Encyclopedia


plug-in

A software program that extends the capabilities of an Internet browser. For example, a plug-in gives you the ability to play audio samples or video movies.

Related terms

browser

Internet


polymorphism

The ability to hide different implementations behind a common interface, simplifying the communication among objects. For example, defining a unique print method for each kind of document in a system would allow any document to be printed by sending the message print, without concern for how that method was actually carried out for a given document.


pop-up menu

See context menu.


preference

An option that specifies an action. For example, a user preference can specify email notification and priority level.

Related term

notification


Print process

A Report Server process that executes a request for a printed copy of a report.

Related terms

report object instance (.ROI) file

Actuate Report Server

request


printer attributes

A list of properties that describe the fixed characteristics of a printer. These properties can limit report design features.

Related terms

design

property

report

Contrast with

printer options


printer options

A list of properties that describe printer characteristics that can be controlled or modified by the report design. For example, the report design can specify the page size. In this case, the report design options are limited by the available page size which is a printer attribute.

Related terms

design

property

report

Contrast with

printer attributes


privilege

A level of control over an item in the Report Encyclopedia. Privileges are granted to users either directly or through roles. The privileges include the ability to delete, execute, grant, read, and write. The user who develops a particular item and places it in the Report Encyclopedia and the administrator both have all privileges for that item.

Related terms

delete privilege

execute privilege

grant privilege

read privilege

Report Encyclopedia

role

visible privilege

write privilege


procedure

A set of commands, statements, input data, and comments that cause a specific set of operations to be performed.

Related terms

data

object


program

1	To write instructions in a language that can be understood by a computer.

2	A set of instructions written in a language such as Actuate Basic.

Related terms

Actuate Basic

object-oriented programming

visual programming


Project Browser

A tool that lists the files included in a report design.

Related terms

browser

report


Properties page

A page in the Component Editor that lists the properties of a component, such as font size. Use the Properties page to specify values for properties.

Related terms

component

Component Editor

page

property

Contrast with

Class page

Methods page

Variables page


property

A characteristic of an object for which the user can specify a value. Use the Properties page in the Component Editor or use code to specify values for properties. A property controls the appearance and behavior of an object, such as the font size for a label control or the server name for a database connection.

Related terms

class

Component Editor

component reference property

object

Properties page

Contrast with

method


property list

See Properties page.


publish

A command that places a component in the Library Browser for reuse. Publish also creates a reference from the library back to the original design.

Related terms

component

library


publish and subscribe

A method of communication between applications by which one application subscribes to another. The second application publishes to the first application. The publish operation occurs without a request from the first application.

Related terms

application

publish

subscribe


push

A distribution mechanism that delivers information on preselected topics or categories to a world wide web user. Notifications about newly generated reports are automatically pushed to specific channels using Actuate's ReportCast technology.

Related terms

Actuate ReportCast technology

channel

World Wide Web (WWW or W3)


query

A SQL SELECT statement that specifies which rows to retrieve from the database.

Related terms

connection

row

SQL SELECT statement


Query by Example (QBE)

A syntax for writing expressions that specify data to be retrieved from the database. For example, a QBE expression can be used in the Conditions page of the Query Editor. Actuate modifies a query by writing SQL code based on the QBE expression.


query data stream

A data stream that obtains data from a relational database using a SQL query.

Related terms

data stream

query


Query Editor

A tool in the Developer Workbench used to write a SQL SELECT statement.

Related term

SQL SELECT statement


query parameter

See parameter.


read privilege

A privilege that provides the option to open, work with, and print an item in the Report Encyclopedia. Other privileges include delete, execute, grant, and write.

Related terms

delete privilege

execute privilege

grant privilege

privilege

Report Encyclopedia

visible privilege

write privilege


rectangle control

A component used to add box shapes to a report design. The relevant Actuate Foundation Class is AcRectangleControl.

Related terms

Actuate Foundation Class (AFC)

component


recursion

A process in which a function or subroutine directly or indirectly calls itself to accomplish some task. The recursive function or subroutine continues until it is interrupted or until a specified condition is met.

Related terms

Boolean expression

conditional expression

program


report

A structured document that follows a set of rules to organize, summarize, and present data from many records.


report, nested

See subreport.


Report Encyclopedia

A shared repository for all information related to the reporting environment. The Report Encyclopedia contains an administrative directory, a requests and scheduling directory, and a report items directory. The administrative directory includes users, roles, and privileges. The report items directory includes designs, executables, instances, parameters, files, and libraries.

Related term

Actuate Report Server


Report Object

1	A structured document composed of persistent objects that are active and intelligent.

2	A component that contains all other components in a report. The report object is the root of the report structure. The relevant Actuate Foundation Class is AcReport.

Related terms

Actuate Foundation Class (AFC)

component

object

persistent object

report

report object instance


report object design

A specification that describes how to produce a report object instance.

Related term

report object design (.ROD) file


report object design (.ROD) file

A file that contains a report design. A design file is created when the user saves a report design.

Related terms

Actuate Palette Representation (.APR) file

Basic source (.BAS) file

report object executable (.ROX) file

report object instance (.ROI) file

report object library (.ROL) file

report object value (.ROV) file

report object web (.ROW) file


report object executable

The instructions for generating and viewing a report object.

Related terms

Report Object

report object executable (.ROX) file


report object executable (.ROX) file

A file that contains the instructions for generating and viewing a report object. An executable file is the compiled executable form of a report created when the user compiles the Actuate Basic code (.BAS file) for the report.

Related terms

Actuate Basic

Actuate Palette Representation (.APR) file

Basic source (.BAS) file

report

report object design (.ROD) file

report object instance (.ROI) file

report object library (.ROL) file

report object value (.ROV) file

report object web (.ROW) file


report object instance

A set of persistent objects that represents a particular report.

Related terms

persistent object

report object instance (.ROI) file


report object instance (.ROI) file

A file that contains the viewable report.

Related terms

Actuate Palette Representation (.APR) file

Basic source (.BAS) file

report

Report Object

report object design (.ROD) file

report object executable (.ROX) file

report object library (.ROL) file

report object value (.ROV) file

report object web (.ROW) file


report object library

A collection of published components.

Related terms

publish

report object library (.ROL) file


report object library (.ROL) file

A file that contains published components. A library file is created using the New dialog box in the Developer Workbench.

Related terms

Actuate Palette Representation (.APR) file

Basic source (.BAS) file

component

report object design (.ROD) file

report object executable (.ROX) file

report object instance (.ROI) file

report object value (.ROV) file

report object web (.ROW) file


report object value (.ROV) file

A file that contains parameter values that the Factory uses to generate the report. A parameter values file is automatically created when users run the report. The Requester API can also be used to create a parameter values file.

Related terms

Actuate Palette Representation (.APR) file

Basic source (.BAS) file

Factory

parameter

report object design (.ROD) file

report object executable (.ROX) file

report object instance (.ROI) file

report object library (.ROL) file

report object web (.ROW) file

Requester

Requester API


report object web (.ROW) file

A structured storage file that contains bitmap, graphics, HTML information, and other information needed for a report. Report object web files are created by the Report Server and can be used only in the Report Encyclopedia.

Related terms

Actuate Palette Representation (.APR) file

Actuate Report Server

Basic source (.BAS) file

HyperText Markup Language (HTML)

report

Report Encyclopedia

report object design (.ROD) file

report object executable (.ROX) file

report object instance (.ROI) file

report object library (.ROL) file


ReportQuery

See search definition (.ROS) file and search extension.


ReportQuery extension

See search extension.


report section

A section that contains components that retrieve, organize, and display information. The relevant Actuate Foundation Class is AcReportSection.

Related terms

Actuate Foundation Class (AFC)

component

section

Contrast with

conditional section

group section

parallel section

sequential section


Report Server

See Actuate Report Server.


Report Server API

See Actuate Software Development Kit (SDK).


ReportCast

See Actuate ReportCast technology.


request

An instruction to generate a report. The status of a request can be active, scheduled, or completed. A request to the web agent requires sending an HTTP URL from the web browser. These requests typically have a format such as

http://webserver/acweb/reportserver/path?command

A request for all reports for a particular individual would be

http://webserver/acweb/reportserver/folder/?name

Related terms

Actuate Web Agent

HyperText Transfer Protocol (HTTP)

url request

Web Agent directive

web browser


Request process

A Report Server process that receives, prioritizes, and acts upon incoming requests from clients.

Related terms

Actuate Report Server

request

server processes


Requester

A mechanism in the client software used to provide or modify input parameters. The Factory uses those parameters while generating reports. If the client is connected to a Report Server, additional functions are available. The Requester is then a tabbed dialog that includes parameters, values, schedule, distribution, notification and print tabs.

Related terms

Factory

notification

parameter

report


Requester API

See Actuate Software Development Kit (SDK).


Requests folder

A folder that includes active, scheduled, and completed requests for reports. In the completed requests folder, you can see your own requests and any other completed requests for which you are on the notification list. If you access a Report Encyclopedia over the World Wide Web the completed Requests folder appears as your personal channel in a web browser.

Related terms

Actuate ReportCast technology

channel

notification

request

Report Encyclopedia

Requester

World Wide Web (WWW or W3)


reserved word

See keyword.


result set

Data returned by a SQL query. A stored procedure can return one or more result sets.  The automated features for stored procedures use the first returned result set.

Related term

stored procedure


role

A name for a group of privilege levels. Privileges can be granted by assigning a role.

Related terms

administrator

privilege

role owner

user name


role owner

A user who has full administration privileges for a role.

Related terms

administrator

role

user name


row

A record in a table.

Related terms

cell

column

data row

table


run

1	To execute a program, utility, or other machine function.

2	In Actuate, to request current data in a new instance of a report. A report executable (.ROX) is run to generate a new report.

Related terms

Factory

program

report object executable (.ROX) file

report object instance (.ROI) file


scheduled request

A request designated for execution at a specified time. Scheduled requests are items in the request folder.

Related terms

request

Requests folder

server application


scope

The parts of a program in which a symbol or object exists or is visible. The scope of a program element is determined by where the element is declared. The global scope in an Actuate Basic program holds all global variable, function, and class names. Scopes can be nested. For example, a function introduces a new scope for its parameters and local variables. As another example, a class introduces a scope for its member variables, member functions, and nested classes. Code in a method in one scope has visibility to other symbols in that same scope, and, with certain exceptions, to symbols in outer scopes.

Related terms

Actuate Basic

class

function

object

parameter

scope-resolution operator (::)

variable


scope-resolution operator (::)

This operator refers to symbols in a different scope. A leading :: refers to the global scope. For example, AcReportElement::BuildFromRow means find BuildFromRow inside the scope introduced by AcReportElement.

Related terms

class

method

scope


Scratch Pad

A tool in the Developer Workbench that stores components temporarily. The Scratch Pad is useful for restructuring a report design.

Related term

component


scripting language

See Actuate Scripting Language.


SDK (Software Development Kit)

See Actuate Software Development Kit (SDK).


search

A mechanism that uses search criteria to find data in a report.

Related terms

data

report

search criteria


search criteria

A combination of objects to be used for searching and search expressions.

Related terms

object

search criteria

search expression


search definition (.ROS) file

A file that contains search criteria, data to display, extract options, and report document structure information.

Related terms

Actuate Palette Representation (.APR) file

Basic source (.BAS) file

data

report

report object design (.ROD) file

report object executable (.ROX) file

report object instance (.ROI) file

report object library (.ROL) file

report object value (.ROV) file

report object web (.ROW) file

search criteria


search expression

The use of special characters to match patterns in the value fields in the search dialog box. The special characters used in search expressions are the backslash (\), the question mark (?), the pound sign (#), the asterisk (*), and the brackets ([ ]). Some nonprinting ASCII codes are represented by character pairs that begin with the backslash (\a, \b, \t, \n, \f, and \r). The special characters and examples of their use include

Special characters	Definition
\	Escape next character (one- or two-byte character)
?	Match any one character (one- or two-byte character)
#	Match any ASCII numeric character [0-9]
*	Match zero or any number of character(s)
\a	Match one alarm (0x07)
\b	Match one backspace (0x08)
\t	Match one tab (0x09)
\n	Match one new line (0x0a)
\f	Match one form feed (0x0c)
\r	Match one carriage return (0x0d)
\\	Match one backslash (\)
[ ]	Match zero characters (ignored)
[characterlist]	Match any one character inside the brackets
[a-z0-9]	Match any lowercase or ASCII numeric character
[a-z-]	Match any lowercase character or hyphen (-)
[^a-z0-9]	Match any character other than lowercase or ASCII numeric
[^]	Match one caret (^)
[?] or \?	Match one question mark (?)
[#] or \#	Match one pound sign (#)
[*] or \*	Match one asterisk (*)
[[] or \[	Match one open bracket ([)
[]] or \]	Match one closed bracket (])
[\[-\]]	Match any ASCII character code between "[" and "]"
[\1-\377]	Match any one-byte character excluding NUL (0x00)
[\x100-xffff]	Match any two-byte character
Related term

wildcard


search extension

A dynamic-link library that provides an interface between Actuate client applications and third party applications such as Microsoft Excel and Brio BrioQuery.

Related term

dynamic-link library (DLL)


Search Extension API

See Actuate Software Development Kit (SDK).


section

A component that determines the logical structure of information in a report. Sections process data rows to determine which visual components should generate output. Actuate provides five types of sections. These are conditional, group, parallel, report, and sequential sections.

Related terms

component

conditional section

Factory

group section

parallel section

report section

sequential section


select

1	To choose one or more items. The selected items will then be affected by a user-driven operation.

2	To choose an option button, check box, or list item in a dialog box.


SELECT

See SQL SELECT statement.


semantic type

Information that can be used to determine what an element contains. For example, a semantic type is AC_SEMANTIC_TYPE_OBJECT_ID. A cmparable data type is AcProperty::STRING.

Contrast with

data type


sequential section

A section that contains several frames, subreports, or other sections that display or print in a specified order.

Related term

section

Contrast with

conditional section

group section

parallel section

report section


server application

An application that furnishes data in response to a request from a client application. A server is often located on a computer other than the client.

Related terms

client/server

Actuate Report Server


server processes

A set of cooperating processes that constitute an Actuate Report Server. The server processes are Administration, Factory, Persistent Object, Print, and Request.

Related terms

Administration process

Factory process

Persistent Object process

Print process

Actuate Report Server

Request process


Single data type

An Actuate Basic data type that stores single-precision floating-point numbers, ranging in value from -1.797693134862315E308 to -4.94066E-324 for negative values and from 4.94066E-324 to 1.797693134862315E308 for positive values.

Related terms

Actuate Basic

data type


single inheritance

A relationship between classes in which a subclass inherits from only one superclass.

Related terms

class

inheritance

Contrast with

multiple inheritance


slot

A visual target in the Design Editor that represents a component reference property. A slot indicates where a component can be placed.

Related terms

component

Component Editor

component reference property

Design Editor

property


sort

To specify the order of data. For example, customer names can be sorted in alphabetical order.

Related term

data


sort filter

A kind of filter that sorts data rows for another data adapter.

Related terms

data adapter

data filter


sort key

A list of one or more column names. The order of the column names in the sort key specifies the sort order. For example, a sort by State and Date is different from a sort by Date and State.

Related terms

Order By page

sort


SQL page

A page in the Query Editor that displays the SQL SELECT statement. Use the SQL page to view the SQL SELECT statement.

Related terms

page

Query Editor

SQL SELECT statement


SQL SELECT statement

One statement in SQL (Structured Query Language), a language commonly used for database applications. A SQL SELECT statement provides instructions about which data to retrieve for a report.

Related terms

query

Query Editor


statement

1	A syntactically complete unit in a programming language that expresses one action, declaration, or definition. Normally, there is only one statement on each line. To continue a statement on another line, Actuate Basic uses a plus sign (+) as the first character of the next line.

2	An object that provides a way to execute SQL statements. The relevant Actuate Foundation Class is AcDBStatement.

Related term

Actuate Basic


static control

A component that does not display data from the database. For example, labels, lines, and images are static controls. The relevant Actuate Foundation Classes are AcEllipseControl, AcLabelControl, AcImageControl, AcLineControl, and AcRectangleControl.

Related terms

Actuate Foundation Class (AFC)

component

static frame

Contrast with

data control


static frame

A frame that contains only components that do not require data from the database. For example, a title that contains only a label and a graphic image is a static frame.

Related terms

frame

static control

Contrast with

data frame


static variable

1	A variable that contains a single value for all objects instantiated from a particular class.

2	A variable that retains its value as long as the program is running.

Related terms

global variable

variable

Contrast with

instance variable


stored procedure

A named set of one or more SQL queries that is stored in a database and can be called from an application.

Related terms

application

query


Stored Procedure Data Source Builder

A tool that builds a data source using a stored procedure from a database.

Related terms

browser

stored procedure

Stored Procedure Browser


Stored Procedure Browser

A window that lists the names of available stored procedures. The Stored Procedure Browser is accessed from the Stored Procedure Data Source Builder.

Related terms

browser

stored procedure

Stored Procedure Data Source Builder


String data type

An Actuate Basic data type comprising a sequence of contiguous characters including letters, numerals, spaces, and punctuation marks. Variable-length strings can contain up to approximately 2,147,283,647 characters or up to your computer's memory limit.

Related terms

Actuate Basic

data type

string expression


string expression

An Actuate Basic expression that evaluates to a series of contiguous characters. Elements of the expression may include a function that returns a string, a string constant, a string literal, a string operator, or a string variable.

Related terms

expression

String data type


structural component

A component that appears in the structure pane of the Design Editor but does not appear in the layout pane or in the final report. Structural components control how the report is organized.

Related terms

component

layout pane

structure pane

Contrast with

visual component


structural relationship

A relationship in which one component references another component. The structure pane of the Design Editor displays structural relationships.

Related terms

component

component reference property

Design Editor

structure pane


structure pane

A portion of the Design Editor window that displays an outline of the report components showing their relationships to one another. The other portion of the Design Editor window is the layout pane. The structure pane can be used both to review and redesign the report.

Related terms

Design Editor

layout pane

report


subclass

A class that is derived from and is a special case of another class. The subclass is the immediate descendant class.

Related terms

ancestor class

class

descendant class

Contrast with

base class

derived class

superclass


subpage

A component that specifies the visual design of a page associated with a section. The relevant Actuate Foundation Class is AcSubPage.

Related terms

Actuate Foundation Class (AFC)

component

Contrast with

page


subreport

A report section placed inside another section. For example, a parallel section contains several subreports. A report section placed inside another report section is sometimes called a nested report. The relevant Actuate Foundation Class is AcReportSection.

Related terms

Actuate Foundation Class (AFC)

component

query

report section


subroutine

A sequence of instructions that has been defined as a separate unit within a program, allowing the unit to be invoked anywhere in the program simply by including its name as one of the instructions. Subroutines are similar to functions, except they return no data.

Contrast with

function


subscribe

A process that allows users to receive notification that a particular report or class of reports is available for viewing. To receive notifications of reports that are viewable in a web browser, a user subscribes to a channel.

Related terms

Actuate ReportCast technology

channel

publish and subscribe

web browser

Contrast with

unsubscribe


Super

A keyword that accesses a method in another class. Super searches progressively until it finds the method.

Related terms

class

class hierarchy

keyword


superclass

The immediate ancestor class.

Related terms

ancestor class

class

descendant class

Contrast with

subclass


symbol

A unique name that represents an entity in a program. For example, a symbol can be the name of a class or variable.

Related terms

class

variable


syntax

The rules that govern the structure of a language.


tab

The label above a page in a dialog box that contains multiple pages.

Related term

page


table

A named group of related data in rows and columns in a relational database.

Related terms

column

data


Table of Contents

A hyperlinked outline of report contents.

Related term

hyperlink


Tables and Joins page

A page in the Query Editor that lists tables included in the report. The Tables and Joins page also shows the joins between those tables. Use the Tables and Joins page to select tables and specify the joins between the tables.

Related terms

join

Query Editor

table


Tag

1	A property that contains a number or name that identifies a flow. The user assigns the same identifier to a flow and to a report section so that the report section prints or displays in the specified flow.

2	A code that identifies a part of a document so that a web browser can tell how to display it.

Related terms

flow

property

report section

web browser


template

A file that determines how generated HTML pages display in a web browser. Template files can contain HTML tags and scripting language commands which determine the format of the text, the text that should be displayed, and variables that form part of your request.

Related terms

HyperText Markup Language (HTML)

page

web browser


text control

A component that displays textual data in a report. For example, a text control could display customer names. A text control must be in a frame, page, or flow. The relevant Actuate Foundation Class is AcTextControl.

Related terms

Actuate Foundation Class (AFC)

component

control

data control

flow

frame

page

Contrast with

label control


tick

A mark that occurs at regular intervals along the x or y axis of a graph.


toolbar

A bar containing various buttons that provides access to common tasks. Different toolbars are available during different kinds of tasks.


transient object

An object that performs specialized tasks during report generation. Transient objects exist while the report is being generated, but are not saved to the report (.ROI) file and do not appear when the report is viewed or printed.

Related term

object

Contrast with

persistent object


Transporter technology

See search extension


twip

A screen-independent unit of screen measurement equal to 1/20 of a printer's point. There are approximately 1440 twips in a logical inch or 567 twips in a logical centimeter.


type

See data type, and semantic type.


type declaration character

A character appended to a variable name to specify the variable's data type.

Character	Data type
%	Integer
&	Long
!	Single
#	Double
@	Currency
$	String


Uniform Resource Locator (URL)

A character string that identifies the location and type of a piece of information accessible over the Internet. HTTP:// is the familiar indicator that a document is accessible over the Internet. The characters following HTTP:// indicate the domain name of the computer where the information is stored and the precise place within the directory structure where the document is located.

Related terms

HyperText Transfer Protocol (HTTP)

Internet


unique ID

An identifier associated with a persistent object and independent of the name of a location.

Related terms

object

persistent object

Contrast with

transient object


universal hyperlink

See hyperlink.


unsubscribe

A process by which a user removes himself from a list of recipients of specified reports or classes of reports. Actuate ReportCast technology enables subscribe and unsubscribe capabilities.

Related terms

Actuate ReportCast technology

channel

publish and subscribe

Contrast with

subscribe


URL

See Uniform Resource Locator (URL).


url request

A web address that contains directives for the Actuate Web Agent.

Related terms

Actuate Web Agent

request

Web Agent directive

Uniform Resource Locator (URL)


user name

A name that identifies a user of the Report Encyclopedia. The administrator uses the Administrator Desktop to create user names. A user name can be up to 256 characters in length and contain any ASCII characters except control characters. User names can include spaces. User names are not case-sensitive, but names are displayed as typed by the administrator.

Related term

password


user-defined type

A data type defined by a programmer, not built in to the programming language. User-defined types are classes, structures, and type definitions assembled from built-in data types, such as numbers and characters.

Related terms

class

data type


value

1	A quantity assigned to a constant, variable, parameter, or symbol.

2	A specific occurrence of an attribute. For example, blue is a possible value for the attribute color.

Related terms

parameter

variable


variable

A named storage location for data that can be modified while a program is running. Each variable has a unique name that identifies it within its scope. Each variable is capable of containing a certain type of data.

Related terms

data type

global variable

instance variable

object reference variable

program

scope

static variable


Variables page

A page in the Component Editor that lists the variables of a component. Used to add new variables or to make a variable a property or parameter.

Related terms

Component Editor

page

Contrast with

Class page

Methods page

Properties page


Variant data type

An Actuate Basic data type that holds data of all other types. Variants contain two pieces of information: a value and code indicating the value's type. Variant types can change dynamically when a report is running.

Related terms

Actuate Basic

data

data type

variable


vertical scroll bar

A scroll bar at the right side of the window used to move the screen view up and down to access information formats longer than the initial document screen settings permit.

Contrast with

horizontal scroll bar


view

To look at, search, use the table of contents, and follow hyperlinks in an online report.

Related terms

report object instance (.ROI) file

Actuate Viewer


Viewer

See Actuate Viewer.


virtual class

See abstract base class.


Virtual Report Distribution

A mechanism for supplying reporting information over a network with reduced storage and network bandwidth requirements. Virtual Report Distribution stores a single copy of a report in a central location, and sends only the pages users want to view. The mechanism is virtual because users are not required to have a local copy of the report, yet they have efficient access to the report.

Related term

demand paging


visible privilege

A privilege that provides the option to view items in the Report Encyclopedia. Other privileges include delete, execute, grant, read, and write.

Related terms

delete privilege

execute privilege

grant privilege

privilege

read privilege

Report Encyclopedia

write privilege


Visual Basic

A programming language developed by Microsoft. Actuate Basic is compatible with Visual Basic and has object-oriented extensions.

Related term

Actuate Basic


visual component

A component that displays data or static graphic elements in a report.

Related terms

component

control

Contrast with

structural component


visual programming

A method for writing applications by dragging and dropping components in the Design Editor and setting optional properties. Actuate translates these actions into Actuate Basic code.

Related term

object-oriented programming


volume

1	A collection of Encyclopedia items managed by an Actuate Report Server. Administrators use a volume to group parts of a large Encyclopedia in convenient and manageable clusters.

2	The name of the machine on which the Actuate Report Server is running.

Related terms

Report Encyclopedia

Actuate Report Server


Web

See World Wide Web (WWW or W3).


Web Agent

See Actuate Web Agent.


Web Agent directive

A request that triggers the use of a particular template. Directives include requests to run a report, view a report, or subscribe to a ReportCast channel. For example,

http://webserver/acweb/reportserver/folder/?sort=name

displays the contents of the specified folder sorted by owner name.

Related terms

Actuate ReportCast technology

Actuate Web Agent

channel

request

template

Uniform Resource Locator (URL)


Web Agent template file

A file used by the Actuate Web Agent to control the appearance of generated web pages. A set of default template files installs with the Actuate Web Agent. Users can also create their own templates. The Actuate web agent locates HTML template files by looking up the values of predefined variables in the operating system environment. Actuate template files have the extension ACHTML.

Related terms

Actuate Web Agent

HyperText Markup Language (HTML)

template


web browser

An application that runs on a computer connected to the Internet and provides access to information distributed on the World Wide Web (WWW). An HTML report displays in a web browser.

Related terms

Internet

World Wide Web (WWW or W3)


webcast

See Actuate ReportCast technology.


web page

See HyperText Markup Language Page.


web server

A program that accepts requests for information based on the HyperText Transfer Protocol (HTTP). The server processes the request and sends the document to the web browser for display.


wildcard

A character used in a search or conditional expression that matches one or more literal characters. Actuate wildcards include

Wildcard	Definition
?	Match any one character (one- or two-byte character)
#	Match any ASCII numeric character [0-9]
*	Match zero or any number of character(s)
Related term

search expression


World Wide Web (WWW or W3)

An information system accessed through the Internet. The information available is heavily cross-referenced and linked so you access information primarily by clicking hyperlinks that take you to other documents. The web uses the HyperText Transfer Protocol (HTTP) that specifies how an application locates and acquires documents stored on other computers also attached to the Internet.

Related terms

Internet

HyperText Transfer Protocol (HTTP)


write privilege

A privilege that provides the option to place an item in the Report Encyclopedia. Other privileges include delete, execute, grant, and read.

Related terms

delete privilege

execute privilege

grant privilege

privilege

read privilege

Report Encyclopedia

visible privilege


WWW

See World Wide Web (WWW or W3).